/// <reference types="react" />
import { type InputOwnerState, type InputProps } from '@mui/base/Input';
import type { ComponentProps, SlotComponentPropsWithoutOverride } from '../components.ts';
interface SlotProps {
    input?: SlotComponentPropsWithoutOverride<'input', InputOwnerState>;
    root?: SlotComponentPropsWithoutOverride<'div', InputOwnerState>;
}
export type DateInputProps = ComponentProps<SlotProps, InputProps>;
export declare const DateInput: import("react").ForwardRefExoticComponent<(Omit<import("@mui/base/Input").SingleLineInputProps & Omit<import("@mui/base").UseInputParameters, "error"> & {
    'aria-describedby'?: string | undefined;
    'aria-label'?: string | undefined;
    'aria-labelledby'?: string | undefined;
    autoComplete?: string | undefined;
    autoFocus?: boolean | undefined;
    className?: string | undefined;
    endAdornment?: import("react").ReactNode;
    error?: boolean | undefined;
    id?: string | undefined;
    name?: string | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLInputElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLInputElement> | undefined;
    placeholder?: string | undefined;
    readOnly?: boolean | undefined;
    slotProps?: {
        root?: import("@mui/base").SlotComponentProps<"div", import("@mui/base/Input").InputRootSlotPropsOverrides, InputOwnerState> | undefined;
        input?: import("@mui/base").SlotComponentProps<"input", import("@mui/base/Input").InputInputSlotPropsOverrides, InputOwnerState> | undefined;
    } | undefined;
    slots?: import("@mui/base/Input").InputSlots | undefined;
    startAdornment?: import("react").ReactNode;
    value?: unknown;
} & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, "slotProps" | "className" | "disabled" | "type" | "name" | "value" | "defaultValue" | "autoFocus" | "id" | "aria-describedby" | "aria-label" | "aria-labelledby" | "onFocus" | "onBlur" | "onChange" | "onKeyDown" | "onKeyUp" | "onClick" | "slots" | "autoComplete" | "placeholder" | "readOnly" | "required" | "rows" | "error" | "inputRef" | "maxRows" | "minRows" | "multiline" | "endAdornment" | "startAdornment"> & {
    className?: string | undefined;
    'data-testid'?: string | undefined;
    disableDefaultClasses?: boolean | undefined;
    slotProps?: SlotProps | undefined;
} & {
    children?: import("react").ReactNode;
}, "ref"> | Omit<import("@mui/base/Input").MultiLineInputProps & Omit<import("@mui/base").UseInputParameters, "error"> & {
    'aria-describedby'?: string | undefined;
    'aria-label'?: string | undefined;
    'aria-labelledby'?: string | undefined;
    autoComplete?: string | undefined;
    autoFocus?: boolean | undefined;
    className?: string | undefined;
    endAdornment?: import("react").ReactNode;
    error?: boolean | undefined;
    id?: string | undefined;
    name?: string | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLInputElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLInputElement> | undefined;
    placeholder?: string | undefined;
    readOnly?: boolean | undefined;
    slotProps?: {
        root?: import("@mui/base").SlotComponentProps<"div", import("@mui/base/Input").InputRootSlotPropsOverrides, InputOwnerState> | undefined;
        input?: import("@mui/base").SlotComponentProps<"input", import("@mui/base/Input").InputInputSlotPropsOverrides, InputOwnerState> | undefined;
    } | undefined;
    slots?: import("@mui/base/Input").InputSlots | undefined;
    startAdornment?: import("react").ReactNode;
    value?: unknown;
} & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, "slotProps" | "className" | "disabled" | "type" | "name" | "value" | "defaultValue" | "autoFocus" | "id" | "aria-describedby" | "aria-label" | "aria-labelledby" | "onFocus" | "onBlur" | "onChange" | "onKeyDown" | "onKeyUp" | "onClick" | "slots" | "autoComplete" | "placeholder" | "readOnly" | "required" | "rows" | "error" | "inputRef" | "maxRows" | "minRows" | "multiline" | "endAdornment" | "startAdornment"> & {
    className?: string | undefined;
    'data-testid'?: string | undefined;
    disableDefaultClasses?: boolean | undefined;
    slotProps?: SlotProps | undefined;
} & {
    children?: import("react").ReactNode;
}, "ref">) & import("react").RefAttributes<HTMLInputElement>>;
export {};
