import type { ComponentProps, SlotComponentPropsWithoutOverride } from '../components.ts';
interface SlotProps {
    errorMessage?: SlotComponentPropsWithoutOverride<'p', object>;
    errorTitle?: SlotComponentPropsWithoutOverride<'h1', object>;
    root?: SlotComponentPropsWithoutOverride<'button', object>;
    start?: SlotComponentPropsWithoutOverride<'button', object>;
    stop?: SlotComponentPropsWithoutOverride<'button', object>;
}
export type StartRecordingHandler = () => void;
export type StopRecordingHandler = (e: CustomEvent<{
    value: Blob[];
}>) => void;
export type AudioRecordProps = ComponentProps<SlotProps, {
    onStartRecording?: StartRecordingHandler;
    onStopRecording: StopRecordingHandler;
}>;
export declare function AudioRecorder({ 'data-testid': testId, disableDefaultClasses, onStartRecording, onStopRecording, slotProps: givenSlotProps, ...rest }: AudioRecordProps): import("react/jsx-runtime").JSX.Element;
export {};
