import { type ModalOwnerState, type ModalOwnProps } from '@mui/base/Modal';
import React from 'react';
import type { ComponentProps, SlotComponentPropsWithoutOverride } from '../components.ts';
interface SlotProps {
    backdrop?: SlotComponentPropsWithoutOverride<'div'>;
    content?: SlotComponentPropsWithoutOverride<'article'>;
    root?: SlotComponentPropsWithoutOverride<'div', ModalOwnerState>;
}
export type ModalProps = ComponentProps<SlotProps, Omit<ModalOwnProps, 'children'> & {
    children: any;
}>;
export declare function Modal({ children, disableDefaultClasses, open, slotProps, slots, ...rest }: ModalProps): import("react/jsx-runtime").JSX.Element;
interface ModalTitleSlotProps {
    root?: SlotComponentPropsWithoutOverride<'h1'>;
}
export type ModalTitleProps = ComponentProps<ModalTitleSlotProps, {
    id?: string;
    slot?: {
        root?: keyof React.ReactHTML;
    };
}>;
export declare function ModalTitle({ children, 'data-testid': testId, disableDefaultClasses, id, slot, slotProps, ...rest }: ModalTitleProps): React.DetailedReactHTMLElement<any, HTMLElement>;
interface ModalContentSlotProps {
    root?: SlotComponentPropsWithoutOverride<'section'>;
}
export type ModalContentProps = ComponentProps<ModalContentSlotProps, {
    id?: string;
    slot?: {
        root?: keyof React.ReactHTML;
    };
}>;
export declare function ModalContent({ children, 'data-testid': testId, disableDefaultClasses, id, slot, slotProps, ...rest }: ModalContentProps): React.DetailedReactHTMLElement<any, HTMLElement>;
export {};
