import React from 'react';
import type { ComponentProps, SlotComponentPropsWithoutOverride } from '../components.ts';
export type RadioGroupProps = React.PropsWithChildren<{
    name?: string;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    value?: string;
}>;
export declare const RadioGroup: ({ children, name, onChange, value, }: RadioGroupProps) => import("react/jsx-runtime").JSX.Element;
interface RadioSlotProps {
    input?: SlotComponentPropsWithoutOverride<'input'>;
    label?: SlotComponentPropsWithoutOverride<'label'>;
    root?: SlotComponentPropsWithoutOverride<'div'>;
}
export type RadioProps = ComponentProps<RadioSlotProps, {
    id: string;
    value: string;
}>;
export declare const Radio: React.ForwardRefExoticComponent<{
    id: string;
    value: string;
} & {
    className?: string | undefined;
    'data-testid'?: string | undefined;
    disableDefaultClasses?: boolean | undefined;
    slotProps?: RadioSlotProps | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLInputElement>>;
export {};
