import { type OptionOwnerState, type OptionOwnProps } from '@mui/base/Option';
import { type SelectOwnerState, type SelectOwnProps } from '@mui/base/Select';
import React from 'react';
import type { ComponentProps, SlotComponentPropsWithoutOverride } from '../components.ts';
interface SlotProps {
    listbox?: SlotComponentPropsWithoutOverride<'ul', SelectOwnerState<string, false>>;
    popper?: SlotComponentPropsWithoutOverride<'div', SelectOwnerState<string, false>>;
    root?: SlotComponentPropsWithoutOverride<'button', SelectOwnerState<string, false>>;
}
export type SelectProps = ComponentProps<SlotProps, SelectOwnProps<string, false>>;
export declare const Select: React.ForwardRefExoticComponent<SelectOwnProps<string, false> & {
    className?: string | undefined;
    'data-testid'?: string | undefined;
    disableDefaultClasses?: boolean | undefined;
    slotProps?: SlotProps | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLInputElement>>;
interface SelectOptionSlotProps {
    root?: SlotComponentPropsWithoutOverride<'li', OptionOwnerState<string>>;
}
export type SelectOptionProps = ComponentProps<SelectOptionSlotProps, OptionOwnProps<string>>;
export declare function SelectOption({ disableDefaultClasses, slotProps, value, ...rest }: SelectOptionProps): import("react/jsx-runtime").JSX.Element;
export {};
