import { type SliderOwnerState, type SliderOwnProps } from '@mui/base/Slider';
import React from 'react';
import type { ComponentProps, SlotComponentPropsWithoutOverride } from '../components.ts';
interface SlotProps {
    input?: SlotComponentPropsWithoutOverride<'input', SliderOwnerState>;
    mark?: SlotComponentPropsWithoutOverride<'span', SliderOwnerState>;
    markLabel?: SlotComponentPropsWithoutOverride<'span', SliderOwnerState>;
    rail?: SlotComponentPropsWithoutOverride<'span', SliderOwnerState>;
    root?: SlotComponentPropsWithoutOverride<'span', SliderOwnerState>;
    thumb?: SlotComponentPropsWithoutOverride<'span', SliderOwnerState>;
    track?: SlotComponentPropsWithoutOverride<'span', SliderOwnerState>;
    valueLabel?: SlotComponentPropsWithoutOverride<React.ElementType, SliderOwnerState>;
}
export type SliderProps = ComponentProps<SlotProps, SliderOwnProps>;
export declare const Slider: React.ForwardRefExoticComponent<SliderOwnProps & {
    className?: string | undefined;
    'data-testid'?: string | undefined;
    disableDefaultClasses?: boolean | undefined;
    slotProps?: SlotProps | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLInputElement>>;
export {};
